Subject: Re: [PATCH v2 net] net: bcmasp: fix potential memory leak in bcmasp_xmit()

From: Simon Horman <[email-masked]>
Date: Thu, 17 Oct 2024 14:54:17 +0100

On Tue, Oct 15, 2024 at 10:34:24PM +0800, Wang Hai wrote:
> The bcmasp_xmit() returns NETDEV_TX_OK without freeing skb
> in case of mapping fails, add dev_consume_skb_any() to fix it.
> 
> Fixes: 490cb412007d ("net: bcmasp: Add support for ASP2.0 Ethernet controller")
> Signed-off-by: Wang Hai <[email-masked]>

There seems to be some confusion over in the thread for v1 of this patchset.
Perhaps relating to several similar patches being in-flight at the same
time.

1. Changes were requested by Florian
2. Jakub confirmed this concern
3. Florian Acked v1 patch
4. The bot sent a notificaiton that v1 had been applied

But v1 is not in net-next.
And I assume that 3 was intended for v2.

>From my point of view v2 addresses the concerns raised by Florian wrt v1.
And, moreover, I agree this fix is correct.

Reviewed-by: Simon Horman <[email-masked]>

v2 is marked as Changes Requested in patchwork.
But I suspect that is due to confusion around v1 as summarised above.
So I am (hopefully) moving it back to Under Review.

-- 
pw-bot: under-review

...